Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226062 - Merge Review: libX11
Summary: Merge Review: libX11
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:29 UTC by Nobody's working on this, feel free to take it
Modified: 2009-08-24 06:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-24 06:33:49 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:29:20 UTC
Fedora Merge Review: libX11

http://cvs.fedora.redhat.com/viewcvs/devel/libX11/
Initial Owner: sandmann@redhat.com

Comment 1 Robbie Barnett 2007-04-15 02:20:20 UTC
Application of the libX11-cve-2007-1667.patch appears to be causing problems
with some propietary software. Users are halting their YUM updates until the
problem is fixed.

http://groups.google.com.au/group/comp.lang.idl-pvwave/browse_thread/thread/5cf3f528590e3aa0/e52f0b3a878073a0#e52f0b3a878073a0


Comment 2 Robert Scheck 2009-01-13 21:59:25 UTC
libX11.src: W: patch-not-applied Patch0: libX11-0.99.3-datadir-locale-dir-fix.patch
libX11.src: W: no-version-in-last-changelog
libX11.i386: E: zero-length /usr/share/X11/locale/ja.S90/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/nokhchi-1/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/C/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/tscii-0/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/iscii-dev/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/el_GR.UTF-8/XLC_LOCALE
libX11.i386: E: zero-length /usr/share/X11/locale/el_GR.UTF-8/XI18N_OBJS
libX11.i386: E: zero-length /usr/share/X11/locale/am_ET.UTF-8/XI18N_OBJS
libX11.i386: E: zero-length /usr/share/X11/locale/ja.U90/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/ja_JP.UTF-8/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/am_ET.UTF-8/XLC_LOCALE
libX11.i386: E: zero-length /usr/share/X11/locale/th_TH/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/zh_CN.UTF-8/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/zh_TW.UTF-8/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/th_TH.UTF-8/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/microsoft-cp1256/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/ko_KR.UTF-8/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/microsoft-cp1255/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/microsoft-cp1251/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/isiri-3342/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/tatar-cyr/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/zh_HK.UTF-8/Compose
libX11.i386: E: zero-length /usr/share/X11/locale/iso8859-11/Compose
libX11.i386: W: no-version-in-last-changelog
libX11-devel.i386: W: no-version-in-last-changelog
libX11-devel.i386: E: tag-not-utf8 %changelog

Comment 3 Adam Jackson 2009-02-21 20:53:57 UTC
Mostly fixed in 1.2-2.  The zero-lenth compose files are that way upstream as well.

Comment 4 Parag AN(पराग) 2009-07-24 10:55:11 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1497503
- rpmlint is NOT silent for SRPM and for RPM.
libX11.src: W: name-repeated-in-summary libX11
libX11.src: W: strange-permission make-git-snapshot.sh 0775

libX11.i686: W: name-repeated-in-summary libX11
libX11.i686: W: shared-lib-calls-exit /usr/lib/libX11.so.6.2.0 exit@GLIBC_2.0
libX11-common.noarch: W: summary-not-capitalized libX11 common data

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ lx11.pc and x11-xcb.pc file present.
+ -devel subpackage present.
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package libX11-1.2.99-2.20090712.fc12.i686 =>
Provides: libX11-xcb.so.1 libX11.so.6
Requires: libX11-xcb.so.1 libX11.so.6 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.2) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.2) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libdl.so.2 libdl.so.2(GLIBC_2.0) libdl.so.2(GLIBC_2.1) libxcb.so.1 rtld(GNU_HASH)
+ Package libX11-devel-1.2.99-2.20090712.fc12.i686 =>
Provides: pkgconfig(x11) = 1.2.99.1 pkgconfig(x11-xcb) = 1.2.99.1
Requires: /usr/bin/pkg-config libX11-xcb.so.1 libX11.so.6 pkgconfig(kbproto) pkgconfig(x11) pkgconfig(xcb) pkgconfig(xcb) >= 1.1.92 pkgconfig(xproto)

+ Not a GUI application

Suggestions:
1) Fix rpmlint messages about summary.
2)  follow http://fedoraproject.org/wiki/PackagingGuidelines#Timestamps

Comment 5 Parag AN(पराग) 2009-08-24 06:33:49 UTC
Approved build libX11-1.2.99-5.20090805.fc12


Note You need to log in before you can comment on or make changes to this bug.